Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sgesc2

    java.lang.Object
      org.netlib.lapack.Sgesc2

    public class Sgesc2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGESC2 solves a system of linear equations
     *
     *            A * X = scale* RHS
     *
     *  with a general N-by-N matrix A using the LU factorization with
     *  complete pivoting computed by SGETC2.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.
     *
     *  A       (input) REAL array, dimension (LDA,N)
     *          On entry, the  LU part of the factorization of the n-by-n
     *          matrix A computed by SGETC2:  A = P * L * U * Q
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1, N).
     *
     *  RHS     (input/output) REAL array, dimension (N).
     *          On entry, the right hand side vector b.
     *          On exit, the solution vector X.
     *
     *  IPIV    (input) INTEGER array, dimension (N).
     *          The pivot indices; for 1 <= i <= N, row i of the
     *          matrix has been interchanged with row IPIV(i).
     *
     *  JPIV    (input) INTEGER array, dimension (N).
     *          The pivot indices; for 1 <= j <= N, column j of the
     *          matrix has been interchanged with column JPIV(j).
     *
     *  SCALE    (output) REAL
     *           On exit, SCALE contains the scale factor. SCALE is chosen
     *           0 <= SCALE <= 1 to prevent owerflow in the solution.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Bo Kagstrom and Peter Poromaa, Department of Computing Science,
     *     Umea University, S-901 87 Umea, Sweden.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Sgesc2()`

Method Summary
`static void` | `sgesc2(int n, float[] a, int _a_offset, int lda, float[] rhs, int _rhs_offset, int[] ipiv, int _ipiv_offset, int[] jpiv, int _jpiv_offset, floatW scale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sgesc2

    public Sgesc2()

Method Detail

### sgesc2

    public static void sgesc2(int n,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] rhs,
                              int _rhs_offset,
                              int[] ipiv,
                              int _ipiv_offset,
                              int[] jpiv,
                              int _jpiv_offset,
                              floatW scale)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD